Watch, Follow, &
Connect with Us

For forums, blogs and more please visit our
Developer Tools Community.


Welcome, Guest
Guest Settings
Help

Thread: ADO 64 bit



Permlink Replies: 2 - Last Post: Oct 11, 2015 4:28 AM Last Post By: George Kuascha Threads: [ Previous | Next ]
George Kuascha

Posts: 20
Registered: 3/4/01
ADO 64 bit
Click to report abuse...   Click to reply to this thread Reply
  Posted: Oct 4, 2015 10:46 AM
I am in the process of recompiling my application for 64 bit windows using D10. I get an error msg stating 'the provider cannot be found'. The application runs fine in 32 bit mode using Jet.OLEDB40. Which provider do I need to run in 64 bit mode?
steven chesser

Posts: 401
Registered: 4/13/09
Re: ADO 64 bit
Click to report abuse...   Click to reply to this thread Reply
  Posted: Oct 4, 2015 8:47 PM   in response to: George Kuascha in response to: George Kuascha
George Kuascha wrote:
I am in the process of recompiling my application for 64 bit windows using D10. I get an error msg stating 'the provider cannot be found'. The application runs fine in 32 bit mode using Jet.OLEDB40. Which provider do I need to run in 64 bit mode?

You have 64bit version of the Jet DB installed?

http://www.microsoft.com/en-us/download/details.aspx?id=13255

And maybe provider has to be “Provider=Microsoft.ACE.OLEDB.12.0;”
George Kuascha

Posts: 20
Registered: 3/4/01
Re: ADO 64 bit
Click to report abuse...   Click to reply to this thread Reply
  Posted: Oct 11, 2015 4:28 AM   in response to: steven chesser in response to: steven chesser
steven chesser wrote:
George Kuascha wrote:
I am in the process of recompiling my application for 64 bit windows using D10. I get an error msg stating 'the provider cannot be found'. The application runs fine in 32 bit mode using Jet.OLEDB40. Which provider do I need to run in 64 bit mode?

You have 64bit version of the Jet DB installed?

http://www.microsoft.com/en-us/download/details.aspx?id=13255

And maybe provider has to be “Provider=Microsoft.ACE.OLEDB.12.0;”

Using the ACE OLEDB 12.0 still gives me the error msg "provider cannot be found". The DB is 32bit. My application is 64bit. I have tried the 32 bit and the 64 bit drivers and neither works. Does my DB have to be 64 bit also? I would think that a 64 bit application would be able to open a 32 bit DB.
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02